var
   state : machine_state;
   mode  : kam_mode;
   AmtorMode : AmtorModeType;
   band  : BandType;

   capture : boolean;
   capture_file : text;
   capture_file_name : file_type;

   xmt_wpm, rcv_wpm : str2;

   cw_off_delay,
   xmt_on_delay,
   xmt_off_delay,
   xmt_time_out,
   baud,
   shift,
   xmt_port,
   a_hold, b_hold,
   inp_ptr, out_ptr,
   xout, yout, xkbd, ykbd,
   index, nbr,
   xin, yin,
   curs_x, curs_y,
   int_wpm,
   kam_baud_rate,
   status_line,
   inp_start_line,
   inp_end_line,
   aux_line,
   out_start_line,
   out_end_line,
   lead_attr           : integer;

   packet_mark, packet_space : string;
   SELCALL : string;

   xmt_enabled,
   xmt_ON,
   auto_switch,
   rcv_interrupt,
   send_interrupt,
   invert,
   quit_flag,
   stop_flag,
   pause_flag,
   viewing_help,
   rcv_flag : boolean;

   key, qkey,
   out_chr,
   msg_nbr : char;
   kbd_buffer : array[0..buf_size] of char;

   SW_VHF, SW_HF : char;

   msg : array[0..9] of msg_type;
   msg_file_name,
   msg_file_0     : file_type;
   qso_nbr,
   KamTimeZone : integer;
   rcv_buffer : array[1..max_rcv_buffers] of ^msg_type;
   tmpstr : string;
   rcv_cnt, buf_cnt : integer;


   image,
   screen1,
   param_scr,
   help_scr,
   qsig_scr,
   rst_scr   : screen;
   mono_screen : screen absolute $0B000:$0000;
   color_screen : screen absolute $0B800:$0000;
   video : ^screen;

   attr_pos : integer;

   b_clr : array[0..5] of integer;
   f_clr : array[0..5] of integer;

   hour, min, year, month, day : integer;

   xmt_attrib,
   rcv_attrib,
   status_attrib,
   prompt_attrib,
   aux_attrib,
   help_attrib: byte;

   old_time : string[5];

   kam_log_file : file_type;

   station : string[30];

   WHERE : string;

   show_line : integer;
   line_count: integer;
   first : integer;
   nlines : integer;

   PKCall : string;

    NTSHamGram : HamGram_record;
    NTSMsgNbr : String[4];
    NTSm_Found : Boolean;
    NTSChoice : Char;
    NTSAddMode : Boolean;
    NTSEditMode : Boolean;
    NTSRecNo : LongInt;
    NTSOurWorkArea : Byte;
    NTSdBaseFile : String[64];
    NTSExtension : String[3];
    NTSWordCount : integer;
    NTSOldColors : Byte;

