type

    machine_state = (receive, transmit, transceive);
    kam_mode      = (ASCII, RTTY, CW, AMTOR, PACKET);
    AmtorModeType = (AB,L,FEC,CALL);
    BandType      = (HF, VHF);

    alpha = array[0..127] of byte;
    str2 = string[2];
    msg_type  =  string[80];
    file_type =  string[24];
    log_type  =  record
                   callsign,
                   date,
                   time,
                   freq,
                   power : string[10];
                   rst_out,
                   rst_in : string[3];
                   comments : string[30];
                 end;
    DateStr = string[8];
    TimeString = string[8];

    attribute = shortint;

    screen = array[0..1999] of record
                                 c : char;
                                 a : attribute;
                               end;
    HamGram_record = RECORD
      Deleted     : Boolean;
      _MSG_NBR    : String[ 4];
      _PRECEDENCE : String[ 1];
      _HANDLING   : String[ 1];
      _HANDL_EXT  : String[ 5];
      _STATION    : String[10];
      _ORIGIN     : String[15];
      _FILE_TIME  : String[ 4];
      _FILE_MONTH : String[ 3];
      _FILE_DAY   : String[ 2];
      _ADDRESSEE  : String[25];
      _ADDR1      : String[25];
      _ADDR2      : String[25];
      _CITY       : String[25];
      _STATE      : String[ 2];
      _ZIP        : String[ 5];
      _PHONE      : String[13];
      _TEXT_1     : String[65];
      _TEXT_2     : String[65];
      _TEXT_3     : String[65];
      _TEXT_4     : String[65];
      _TEXT_5     : String[65];
      _SIGN       : String[25];
      _SIGN_ADR1  : String[25];
      _SIGN_ADR2  : String[25];
      _SIGN_CITY  : String[25];
      _SIGN_ST    : String[ 2];
      _SIGN_ZIP   : String[ 5];
      _SIGN_PHN   : String[13];
    END;
